<?php
defined('_JEXEC') or die('Restricted access');

$moduleidku			= $params->get('moduleidku','');
$theme				= $params->get('theme', 'black');
$width				= $params->get('width', '700');
$height				= $params->get('height', '300');
$duration			= $params->get('duration', '9000');
$slidshow			= $params->get('slidshow', '1');
$transition			= $params->get('transition', 'fadeslide1');
$showlink			= $params->get('showlink', '1');
$showarrow			= $params->get('showarrow', '1');
$showcarousel		= $params->get('showcarousel', '1');
$showinfopane		= $params->get('showinfopane', '1');
$carouseltext		= $params->get('carouseltext', 'Images');

$images1			= $params->get('images1', '');
$thumbs1			= $params->get('thumbs1', '');
$desc1				= $params->get('desc1', '');
$title1				= $params->get('title1', '');
$url1				= $params->get('url1', '');

$images2			= $params->get('images2', '');
$thumbs2			= $params->get('thumbs2', '');
$desc2				= $params->get('desc2', '');
$title2				= $params->get('title2', '');
$url2				= $params->get('url2', '');

$images3			= $params->get('images3', '');
$thumbs3			= $params->get('thumbs3', '');
$desc3				= $params->get('desc3', '');
$title3				= $params->get('title3', '');
$url3				= $params->get('url3', '');

$images4			= $params->get('images4', '');
$thumbs4			= $params->get('thumbs4', '');
$desc4				= $params->get('desc4', '');
$title4				= $params->get('title4', '');
$url4				= $params->get('url4', '');

$images5			= $params->get('images5', '');
$thumbs5			= $params->get('thumbs5', '');
$desc5				= $params->get('desc5', '');
$title5				= $params->get('title5', '');
$url5				= $params->get('url5', '');

$images6			= $params->get('images6', '');
$thumbs6			= $params->get('thumbs6', '');
$desc6				= $params->get('desc6', '');
$title6				= $params->get('title6', '');
$url6				= $params->get('url6', '');

$images7			= $params->get('images7', '');
$thumbs7			= $params->get('thumbs7', '');
$desc7				= $params->get('desc7', '');
$title7				= $params->get('title7', '');
$url7				= $params->get('url7', '');

$images8			= $params->get('images8', '');
$thumbs8			= $params->get('thumbs8', '');
$desc8				= $params->get('desc8', '');
$title8				= $params->get('title8', '');
$url8				= $params->get('url8', '');

$images9			= $params->get('images9', '');
$thumbs9			= $params->get('thumbs9', '');
$desc9				= $params->get('desc9', '');
$title9				= $params->get('title9', '');
$url9				= $params->get('url9', '');

$images10			= $params->get('images10', '');
$thumbs10			= $params->get('thumbs10', '');
$desc10				= $params->get('desc10', '');
$title10			= $params->get('title10', '');
$url10				= $params->get('url10', '');

$images11			= $params->get('images11', '');
$thumbs11			= $params->get('thumbs11', '');
$desc11				= $params->get('desc11', '');
$title11			= $params->get('title11', '');
$url11				= $params->get('url11', '');

$images12			= $params->get('images12', '');
$thumbs12			= $params->get('thumbs12', '');
$desc12				= $params->get('desc12', '');
$title12			= $params->get('title12', '');
$url12				= $params->get('url12', '');

$images13			= $params->get('images13', '');
$thumbs13			= $params->get('thumbs13', '');
$desc13				= $params->get('desc13', '');
$title13			= $params->get('title13', '');
$url13				= $params->get('url13', '');

$images14			= $params->get('images14', '');
$thumbs14			= $params->get('thumbs14', '');
$desc14				= $params->get('desc14', '');
$title14			= $params->get('title14', '');
$url14				= $params->get('url14', '');

$images15			= $params->get('images15', '');
$thumbs15			= $params->get('thumbs15', '');
$desc15				= $params->get('desc15', '');
$title15			= $params->get('title15', '');
$url15				= $params->get('url15', '');

$images16			= $params->get('images16', '');
$thumbs16			= $params->get('thumbs16', '');
$desc16				= $params->get('desc16', '');
$title16			= $params->get('title16', '');
$url16				= $params->get('url16', '');

$images17			= $params->get('images17', '');
$thumbs17			= $params->get('thumbs17', '');
$desc17				= $params->get('desc17', '');
$title17			= $params->get('title17', '');
$url17				= $params->get('url17', '');

$images18			= $params->get('images18', '');
$thumbs18			= $params->get('thumbs18', '');
$desc18				= $params->get('desc18', '');
$title18			= $params->get('title18', '');
$url18				= $params->get('url18', '');

$images19			= $params->get('images19', '');
$thumbs19			= $params->get('thumbs19', '');
$desc19				= $params->get('desc19', '');
$title19			= $params->get('title19', '');
$url19				= $params->get('url19', '');

$images20			= $params->get('images20', '');
$thumbs20			= $params->get('thumbs20', '');
$desc20				= $params->get('desc20', '');
$title20			= $params->get('title20', '');
$url20				= $params->get('url20', '');

JHTML::_('behavior.mootools');
$document = JFactory::getDocument();
$document->addStyleSheet(JURI::base().'modules/mod_sliderku/css/style.css');
$document->addStyleSheet(JURI::base().'modules/mod_sliderku/css/style_'.$theme.'.css');
$document->addScript(JURI::base().'modules/mod_sliderku/scripts/sliderku.js');
$document->addScript(JURI::base().'modules/mod_sliderku/scripts/transitions.js');

require(JModuleHelper::getLayoutPath('mod_sliderku'));
?>